Package org.opentcs.drivers.vehicle.management

# Class AttachmentEvent

java.lang.Object
org.opentcs.drivers.vehicle.management.CommAdapterEvent
org.opentcs.drivers.vehicle.management.AttachmentEvent

All Implemented Interfaces:
  `java.io.Serializable`, `LowLevelCommunicationEvent`

    public class AttachmentEvent
    extends CommAdapterEvent
    implements java.io.Serializable

Instances of this class represent events emitted by/for attaching comm adapters.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AttachmentEvent​(java.lang.String vehicleName, AttachmentInformation updatedAttachmentInformation)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AttachmentInformation` | `getUpdatedAttachmentInformation()` | Returns the `AttachmentInformation` to the actual attachment.
  `java.lang.String` | `getVehicleName()` | Returns the vehicle's name a comm adapter has been attached to.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttachmentEvent

    public AttachmentEvent​(@Nonnull java.lang.String vehicleName, @Nonnull AttachmentInformation updatedAttachmentInformation)
    Creates a new instance.
    Parameters:
      `vehicleName` - The vehicle's name a comm adapter has been attached to.
      `updatedAttachmentInformation` - The information to the actual attachment.

- ## Method Details

  - ### getVehicleName

    public java.lang.String getVehicleName()
    Returns the vehicle's name a comm adapter has been attached to.
    Returns:
      The vehicle's name a comm adapter has been attached to.

  - ### getUpdatedAttachmentInformation

    public AttachmentInformation getUpdatedAttachmentInformation()
    Returns the `AttachmentInformation` to the actual attachment.
    Returns:
      The `AttachmentInformation` to the actual attachment.